//DDWUTWSB PROC JAVADIR='java/J1.4',
// PATHPREF='',
// UTWSB='',
// TMPDIR='/tmp',
// TMPFILE='UTWSB'
//*************************************************
//* 
//* This PROC is part of:
//* 
//*  IBM CICS TS for z/OS: WSBind File Display
//*    and Change Utility: SupportPac CS04
//* 
//*************************************************
//*
//* Licensed Materials - Property of IBM
//*
//* (c) Copyright IBM Corporation 2008-2011
//* All Rights Reserved
//* 
//* US Government Users Restricted Rights - Use,
//* duplication, or disclosure restricted by GSA ADP
//* Schedule Contract with IBM Corporation
//* 
//*************************************************
//* STEP 1 - Copy the Java parameters to an HFS file
//*************************************************
//*
//INPUT    EXEC PGM=IEBGENER
//SYSPRINT DD DUMMY
//SYSUT1   DD DUMMY,DISP=SHR
//SYSUT2   DD PATH='&TMPDIR./&TMPFILE..in',
// PATHOPTS=(OWRONLY,OCREAT,OTRUNC),
// PATHMODE=SIRWXU,
// FILEDATA=TEXT,
// RECFM=VB,
// LRECL=137,
// BLKSIZE=32760
//SYSIN    DD DUMMY
//*******************************
//* STEP 2 - Run the java program
//*******************************
//JAVAPRG1 EXEC PGM=BPXBATCH,
//  PARM='SH &PATHPREF&UTWSB/UTWSB.SH
//             &JAVADIR &TMPDIR./&TMPFILE.'
//STDOUT   DD PATH='&TMPDIR./&TMPFILE..out',
// PATHOPTS=(OWRONLY,OCREAT,OTRUNC),
// PATHMODE=SIRWXU,
// FILEDATA=TEXT,
// RECFM=VB,
// LRECL=1024,
// BLKSIZE=32760
//STDERR   DD PATH='&TMPDIR./&TMPFILE..err',
// PATHOPTS=(OWRONLY,OCREAT,OTRUNC),
// PATHMODE=SIRWXU,
// FILEDATA=TEXT,
// RECFM=VB,
// LRECL=1024,
// BLKSIZE=32760
//*******************************************
//* STEP 3 - Copy Stdout/Stderr to the joblog
//*******************************************
//COPYOUT  EXEC PGM=IEBGENER
//SYSPRINT DD DUMMY
//SYSUT1   DD PATH='&TMPDIR./&TMPFILE..out',
// PATHDISP=DELETE,
// PATHOPTS=(ORDONLY),
// PATHMODE=SIRWXU,
// FILEDATA=TEXT,
// RECFM=VB,
// LRECL=1024,
// BLKSIZE=32760
//SYSUT2   DD SYSOUT=*,DCB=(RECFM=VB,LRECL=1024,BLKSIZE=1029)
//SYSIN    DD DUMMY
//*
//COPYERR  EXEC PGM=IEBGENER
//SYSPRINT DD DUMMY
//SYSUT1   DD PATH='&TMPDIR./&TMPFILE..err',
// PATHDISP=DELETE,
// PATHOPTS=(ORDONLY),
// PATHMODE=SIRWXU,
// FILEDATA=TEXT,
// RECFM=VB,
// LRECL=1024,
// BLKSIZE=32760
//SYSUT2   DD SYSOUT=*,DCB=(RECFM=VB,LRECL=1024,BLKSIZE=1029)
//SYSIN    DD DUMMY